#
# spec file for package python-linkify-it-py
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-linkify-it-py
Version:        2.0.3
Release:        1.2
Summary:        Links recognition library with FULL unicode support
License:        MIT
URL:            https://github.com/tsutsu3/linkify-it-py
Source:         https://github.com/tsutsu3/linkify-it-py/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module uc-micro-py}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-uc-micro-py
BuildArch:      noarch
%python_subpackages

%description
Links recognition library with FULL unicode support. Focused on high quality link patterns detection in plain text.

Why it's awesome:
* Full unicode support, with astral characters!
* International domains support.
* Allows rules extension & custom normalizers.

%prep
%setup -q -n linkify-it-py-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Feb  7 2024 Dirk Müller <dmueller@suse.com>
- update to 2.0.3:
  * Update port.yml (linkify-it v5.0.0)
  * Fix rtd
  * Add linkify-it-py-demo url
  * Fix package build
* Mon May 22 2023 Dirk Müller <dmueller@suse.com>
- update to 2.0.2:
  * Fix missing files to the test (#44)
  * Update development tools
  * Fix sdist is missing tests
* Fri May  5 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Sun Sep  4 2022 Elisei Roca <eroca@mailbox.org>
- Update to version 2.0.0
  https://github.com/tsutsu3/linkify-it-py/compare/v1.0.2...v2.0.0
* Wed Nov 17 2021 Elisei Roca <eroca@mailbox.org>
- initial commit of python-linkify-it-py at version 1.0.2
